Skip to main content
GET
/
payment
/
checkouts
/
{checkoutId}
Retrieve a checkout session
curl --request GET \
  --url https://api.orqex.com/v1/payment/checkouts/{checkoutId} \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "data": {
    "checkout": {
      "id": "cs_abc123",
      "token": "<string>",
      "url": "<string>",
      "restriction": {},
      "customization": {},
      "expires_at": "<string>",
      "created_at": "<string>"
    },
    "payment": {
      "id": "TRX1A2B3C4D",
      "amount": {
        "value": 5000,
        "formatted": "50.00 XOF",
        "short": "50 XOF",
        "currency": "XOF"
      },
      "customer": {
        "id": "cus_abc123",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "[email protected]",
        "avatar_url": "<string>"
      },
      "description": "<string>",
      "return_url": "<string>",
      "webhook_url": "<string>",
      "statement_descriptor": "<string>",
      "receipt_email": "<string>",
      "metadata": {},
      "active_attempt": {
        "id": "<string>",
        "method": {
          "value": "momo_mtn",
          "label": "MTN Mobile Money",
          "description": "<string>",
          "icon_url": "<string>"
        },
        "amount": {
          "value": 5000,
          "formatted": "50.00 XOF",
          "short": "50 XOF",
          "currency": "XOF"
        },
        "exchange_rate": 123,
        "correction_rate": 123,
        "gateway": {
          "transaction": {
            "id": "<string>",
            "reference": "<string>",
            "external_id": "<string>",
            "status": "<string>"
          }
        },
        "next_action": {},
        "failure": {
          "code": "<string>",
          "message": "<string>"
        },
        "is_fallback": true,
        "completed_at": "<string>",
        "failed_at": "<string>",
        "created_at": "<string>"
      },
      "completed_at": "<string>",
      "expires_at": "<string>",
      "created_at": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Project secret key, e.g. sk_live_..., sent as Authorization: Bearer sk_....

Path Parameters

checkoutId
string
required

Public checkout id, e.g. cs_....

Response

OK

message
string
data
object